<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    xmlns:tools="http://schemas.android.com/tools"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:background="@color/white_bg">

    <TextView
        android:id="@+id/start_time_static"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"

        tools:text="7 AM"
        android:fontFamily="@font/nunito_regular"
        android:textAppearance="@style/TextAppearance.Material3.TitleSmall"
        android:textColor="#131313"

        android:layout_marginStart="15dp"
        android:layout_marginVertical="15dp"

        />

    <com.google.android.material.card.MaterialCardView
        android:id="@+id/card"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"

        android:layout_toEndOf="@id/start_time_static"

        android:layout_marginVertical="5dp"
        android:layout_marginHorizontal="10dp"

        app:cardCornerRadius="15dp"
        app:cardElevation="5dp"
        app:cardBackgroundColor="@color/color_accent"
        >

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/white_bg"
            android:layout_marginStart="15dp"
            >

            <LinearLayout
                android:id="@+id/ll"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:layout_marginVertical="5dp"
                android:layout_marginStart="15dp"
                android:weightSum="10">

                <TextView
                    android:id="@+id/routine_name"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="9"

                    tools:text="Doctors appointment bla bla bla blaaa blabla lbal bla"
                    android:fontFamily="@font/nunito_bold"
                    android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
                    android:textColor="@color/black"

                    android:maxLines="2"
                    android:ellipsize="end"

                    />

                <ImageView
                    android:id="@+id/delete"
                    android:layout_width="25dp"
                    android:layout_height="25dp"
                    android:layout_weight="1"
                    android:contentDescription="@string/delete"

                    app:srcCompat="@drawable/ic_delete_2"
                    app:tint="@color/black"

                    android:padding="5dp"

                    />

            </LinearLayout>

            <TextView
                android:id="@+id/description"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"

                tools:text="Meet your heart specialist Abraham at 4:00 pm"
                android:fontFamily="@font/nunito_regular"
                android:textAppearance="@style/TextAppearance.Material3.TitleSmall"
                android:textColor="@color/black"

                android:layout_below="@id/ll"

                android:layout_marginHorizontal="15dp"

                />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:layout_marginTop="10dp"
                android:layout_marginBottom="5dp"
                android:layout_marginStart="15dp"
                android:layout_below="@id/description"
                android:gravity="center_vertical"
                android:weightSum="10">

                <TextView
                    android:id="@+id/time_slot"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="9"

                    tools:text="7 : 00 AM - 9 : 00 AM"
                    android:fontFamily="@font/nunito_regular"
                    android:textAppearance="@style/TextAppearance.Material3.TitleSmall"
                    android:textColor="@color/black"

                    android:maxLines="1"
                    android:ellipsize="end"

                    />

                <ImageView
                    android:id="@+id/check"
                    android:layout_width="@dimen/_20sdp"
                    android:layout_height="@dimen/_20sdp"
                    android:layout_weight="1"
                    android:contentDescription="@string/delete"

                    app:srcCompat="@drawable/ic_un_check"
                    app:tint="@android:color/black"

                    android:padding="5dp"

                    />

            </LinearLayout>

        </RelativeLayout>

    </com.google.android.material.card.MaterialCardView>

    <TextView
        android:id="@+id/end_time_static"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"

        tools:text="7 AM"
        android:fontFamily="@font/nunito_regular"
        android:textAppearance="@style/TextAppearance.Material3.TitleSmall"
        android:textColor="#131313"

        android:layout_marginStart="15dp"
        android:layout_below="@+id/card"

        android:layout_marginTop="-30dp"

        />

</RelativeLayout>